server:
  port: 8080
springdoc:
  swagger-ui:
    doc-expansion: none
    tagsSorter: alpha
    display-request-duration: true
    display-query-params: true
    csrf:
      enabled: true
    show-extensions: true
    show-common-extensions: true
  writer-with-default-pretty-printer: true
  api-docs:
    groups:
      enabled: true
    resolve-schema-properties: true
  paths-to-exclude:
    - /error
    -
spring:

  application:
    name: @project.artifactId@
  main:
    allow-bean-definition-overriding: true
  datasource:
    url: jdbc:postgresql://localhost:5432/gcpcrud
    platform: postgres
    username: postgres
    password: postgres
    driver-class-name: org.postgresql.Driver


  flyway:
    enabled: true

  jpa:
    hibernate:
      naming:
        physical-strategy: org.hibernate.boot.model.naming.PhysicalNamingStrategyStandardImpl
      ddl-auto: none
    properties:
      hibernate:
        format_sql: true
        use_sql_comments: false
        current_session_context_class: org.springframework.orm.hibernate5.SpringSessionContext
        dialect: org.hibernate.dialect.PostgreSQL95Dialect
    generate-ddl: false
    show-sql: false


